Page MenuHomePhabricator

Citoid should only usurp "<ref" / ctrl+shift+k shortcuts if configured
Closed, ResolvedPublic

Description

Currently on wikis where it isn't configured (e.g. mediawiki.org) you get a very empty Citoid dialog:

Details

Related Gerrit Patches:
mediawiki/extensions/Citoid : wmf/1.33.0-wmf.24Keep Citoid enabled if automatic tab is configured
mediawiki/extensions/Citoid : masterKeep Citoid enabled if automatic tab is configured
mediawiki/extensions/Citoid : masterExpose citoid map and conditionally register citefromid command
mediawiki/extensions/Cite : masterExpose the list of citation tools

Event Timeline

Esanders created this task.Mar 28 2019, 3:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2019, 3:03 PM

Change 499797 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Cite@master] Expose the list of citation tools

https://gerrit.wikimedia.org/r/499797

Change 499799 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Citoid@master] Expose citoid map and conditionally register citefromid command

https://gerrit.wikimedia.org/r/499799

Change 499797 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Expose the list of citation tools

https://gerrit.wikimedia.org/r/499797

Change 499799 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] Expose citoid map and conditionally register citefromid command

https://gerrit.wikimedia.org/r/499799

Mvolz moved this task from Backlog to Extension on the Citoid board.Apr 1 2019, 3:52 PM
Mvolz added a subscriber: Mvolz.EditedApr 3 2019, 3:07 PM

I checked this locally, and the merged change disables citoid even if the automatic tab is correctly configured. I don't think this is the correct behaviour; if neither are configured, it should be de-registered, but not cite tools missing alone: it should also check that Mediawiki:Citoid-template-type-map.json doesn't exist as well.

Change 500979 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/extensions/Citoid@master] Keep citoid enabled if automatic tab is configured

https://gerrit.wikimedia.org/r/500979

Mvolz added a comment.Apr 3 2019, 4:30 PM

I've found an example of a Wikipedia where deploying the previous change without this fix will disable citoid, so I think it should be cherry picked to the previous cut once merged:

https://gu.wikipedia.org/

dduvall triaged this task as Unbreak Now! priority.Apr 3 2019, 7:03 PM
dduvall added a subscriber: dduvall.

Marking UBN as is our policy with train blockers.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 3 2019, 7:03 PM

@Mvolz I'm currently holding the group1 train deployment. Do you have an update or ETA on a fix?

Mvolz added a comment.Apr 3 2019, 7:40 PM

@Mvolz I'm currently holding the group1 train deployment. Do you have an update or ETA on a fix?

I'm not 100% it's worth holding the train over - it'll disable citoid on at least one small language wiki. But the fix isn't done yet, no. Alternatively we can just revert it but note it requires reverting the change in the cite extension as well.

Mvolz added a comment.Apr 3 2019, 7:42 PM

Also this won't affect group 1, only some wikis in group 2

@Mvolz I'm currently holding the group1 train deployment. Do you have an update or ETA on a fix?

I'm not 100% it's worth holding the train over - it'll disable citoid on at least one small language wiki. But the fix isn't done yet, no. Alternatively we can just revert it but note it requires reverting the change in the cite extension as well.

Thanks for the clarification. I'll proceed with group1 and check in tomorrow before promoting all wikis.

Change 500979 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] Keep Citoid enabled if automatic tab is configured

https://gerrit.wikimedia.org/r/500979

Change 501114 had a related patch set uploaded (by Jforrester; owner: Mvolz):
[mediawiki/extensions/Citoid@wmf/1.33.0-wmf.24] Keep Citoid enabled if automatic tab is configured

https://gerrit.wikimedia.org/r/501114

Mvolz added a comment.EditedApr 4 2019, 11:27 AM

@Mvolz I'm currently holding the group1 train deployment. Do you have an update or ETA on a fix?

I'm not 100% it's worth holding the train over - it'll disable citoid on at least one small language wiki. But the fix isn't done yet, no. Alternatively we can just revert it but note it requires reverting the change in the cite extension as well.

Thanks for the clarification. I'll proceed with group1 and check in tomorrow before promoting all wikis.

The fix is now merged on master. The cherrypicked change to the branch is still open and needs merging here: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Citoid/+/501114/

Esanders renamed this task from Citoid should only usurp "<ref" / ctrl+shift+k shortcuts if full configured. to Citoid should only usurp "<ref" / ctrl+shift+k shortcuts if configured.Apr 4 2019, 12:33 PM

Change 501114 merged by jenkins-bot:
[mediawiki/extensions/Citoid@wmf/1.33.0-wmf.24] Keep Citoid enabled if automatic tab is configured

https://gerrit.wikimedia.org/r/501114

Krinkle closed this task as Resolved.Apr 4 2019, 7:22 PM
Krinkle assigned this task to Mvolz.